import React, { useState } from 'react';
import { CropperRef, Cropper } from 'react-advanced-cropper';
import 'react-advanced-cropper/dist/style.css'
import { ImageStencil } from "./components/ImageStencil";

export default () => {
    const [image] = useState(
        'https://test.vogocm.com:9010/eshop/eshop_img/2023/8/21/20230821114346A053.jpg',
    );

    const onChange = (cropper: CropperRef) => {
        console.log(cropper.getCoordinates(), cropper.getCanvas());
    };

    return (
        <Cropper
            src={image}
            className={'cropper'}
            onChange={onChange}
            stencilComponent={ImageStencil}
            defaultCoordinates={{
                left: 100,
                top: 100,
                width: 400,
                height: 400,
            }}
        />
    )
}
